Bug 90424 - Small patch for default release and epoch for rpm-spec-mode.
Small patch for default release and epoch for rpm-spec-mode.
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-07 20:01 EDT by Dams
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-08 00:46:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against rpm-spec-mode.el (1.23 KB, patch)
2003-05-07 20:03 EDT, Dams
no flags Details | Diff

  None (edit)
Description Dams 2003-05-07 20:01:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
It would be fair to have a default user-defined epoch and a default user-defined
release tag for new spec file.
Please look at the (short) patch against the rpm-spec-mode.el file.

Version-Release number of selected component (if applicable):
emacs-21.2-33

How reproducible:
Always

Steps to Reproduce:
1. emacs &
2. C-x C-f foo.spec RET

Actual Results:  For the release tag : 
Release: 1
and no epoch tag.

Additional info:

Release tag to have the rpm-spec-default-release value instead of "1".
Mandrake packagers could have 1mdk, fedora packagers "0.fdr.1", Matthias Saou
from freshrpms.net fr1, etc.. whatever. Useful thing. (i think).
Comment 1 Dams 2003-05-07 20:03:47 EDT
Created attachment 91548 [details]
Patch against rpm-spec-mode.el
Comment 2 Jens Petersen 2003-05-08 00:46:31 EDT
I agree about default release, but the need for a default epoche seems
more dubious to me (epoches should be avoided as far as possible).
At least I don't think epoche should be included when there isn't a default.

(Btw I prefer unified diffs ("diff -u").)

Please send your patch to the maintainer of rpm-spec-mode.el:
Stig Bjørlykke <stigb@tihlde.org>, so that he can include it
in the next release.

Note You need to log in before you can comment on or make changes to this bug.